LibreOffice: MouseEvent Struct Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
MouseEvent Struct Referencepublished

specifies an event from the mouse. More...

Inheritance diagram for MouseEvent:

## Public Attributes
short | Buttons
| contains the pressed mouse buttons.
long | X
| contains the x coordinate location of the mouse.
long | Y
| contains the y coordinate location of the mouse.
long | ClickCount
| contains the number of mouse clicks associated with event.
boolean | PopupTrigger
| specifies if this event is a pop-up menu trigger event.
Public Attributes inherited from InputEvent
short | Modifiers
| contains the modifier keys which were pressed while the event occurred.
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event.

## Detailed Description

specifies an event from the mouse.

This event is also used for pop-up menu requests on objects. See PopupTrigger for details.

See also
  XMouseListener
  XMouseMotionListener
  InputEvent

## Member Data Documentation

## ◆ Buttons

short Buttons

contains the pressed mouse buttons.

Zero ore more constants from the com::sun::star::awt::MouseButton group.

## ◆ ClickCount

long ClickCount

contains the number of mouse clicks associated with event.

## ◆ PopupTrigger

boolean PopupTrigger

specifies if this event is a pop-up menu trigger event.

If this member is `TRUE`, the event describes a request for a pop-up menu, also known as context menu, on an object.

In this case, X and Y describe the position where the request was issued. If those members are `-1`, then the request was issued using the keyboard, by pressing the operating-system dependent key combination for this purpose.

See also
  XMouseListener::mousePressed

## ◆ X

long X

contains the x coordinate location of the mouse.

## ◆ Y

long Y

contains the y coordinate location of the mouse.

The documentation for this struct was generated from the following file:

- com/sun/star/awt/MouseEvent.idl